﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGHierarchyAlignmentCase
{
    public class ViewModel
    {
        public ObservableCollection<ParentData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<ParentData>();

            for(int i=0; i<10; i++)
            {
                ParentData pd = new ParentData() { ID = i, Name = "Name " + i.ToString(), Number1 = r.Next(1000), Number2 = r.Next(1000), Date = DateTime.Today.AddDays(i) };
                pd.Children = new ObservableCollection<ChildData>();

                for(int j=0; j<3; j++)
                {
                    pd.Children.Add(new ChildData() { ID = pd.ID, Name = pd.Name, Number1 = pd.Number1, Number2 = pd.Number2, Date = pd.Date });
                }

                Data.Add(pd);
            }
        }
    }

    public class ParentData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Number1 { get; set; }
        public double Number2 { get; set; }
        public DateTime Date { get; set; }
        public ObservableCollection<ChildData> Children { get; set; }
    }

    public class ChildData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int Number1 { get; set; }
        public double Number2 { get; set; }
        public DateTime Date { get; set; }
    }
}
